package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsOperationWarnresult;
import com.ruoyi.system.domain.vo.ZsOperationWarnresultVo;
import com.ruoyi.system.domain.bo.ZsOperationWarnresultBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 预警结果Service接口
 *
 * @author 王强
 * @date 2025-05-12
 */
public interface IZsOperationWarnresultService {

    /**
     * 查询预警结果
     */
    ZsOperationWarnresultVo queryById(Long id);

    /**
     * 查询预警结果列表
     */
    TableDataInfo<ZsOperationWarnresultVo> queryPageList(ZsOperationWarnresultBo bo, PageQuery pageQuery);

    /**
     * 查询预警结果列表
     */
    List<ZsOperationWarnresultVo> queryList(ZsOperationWarnresultBo bo);

    /**
     * 新增预警结果
     */
    Boolean insertByBo(ZsOperationWarnresultBo bo);

    /**
     * 修改预警结果
     */
    Boolean updateByBo(ZsOperationWarnresultBo bo);

    /**
     * 校验并批量删除预警结果信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Map receiveLatestGoodsInfo(Map map);
}
